aboutsummaryrefslogtreecommitdiffstats
path: root/download.sh
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-04-15 08:32:23 -0500
committerWilliam Harrington <kb0iic@berzerkula.org>2021-04-15 08:32:23 -0500
commitc9cb04e59113a3afb1cc9fde17dc8bb27a0a315c (patch)
tree205f4d9047a96559c2ff4f79901c457432367d2e /download.sh
parent786adf80589621bedd25488f08ba4e1dc6831282 (diff)
Create fail and success functions and remove trailing white spaces at ends of lines.
Diffstat (limited to 'download.sh')
-rw-r--r--download.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/download.sh b/download.sh
index 72c250b..fff69f7 100644
--- a/download.sh
+++ b/download.sh
@@ -18,9 +18,11 @@ cat packages.csv patches.csv | while read -r line; do
if ! echo "${MD5SUM} ${LFS}/sources/${CACHEFILE}" | md5sum -c > /dev/null 2>&1; then
rm -f "${LFS}/sources/${CACHEFILE}"
- printf "%b" "\n${IPRP} MD5SUM ${YLW}${MD5SUM}${IRED} FAILED! MD5 MISMATCH!${RST}\n"
- exit 1
+ printf "%b" "\n${IPRP} MD5SUM ${YLW}${MD5SUM} "
+ fail "FAILED! MD5 MISMATCH!"
+ exit 1
fi
- printf "%b" "\n${IPRP} MD5SUM ${YLW}${MD5SUM}${IGRN} OK${RST}\n"
+ printf "%b" "\n${IPRP} MD5SUM ${YLW}${MD5SUM} "
+ success "OK"
done